Can't change feature rendering order in 2.5D renderer

2017-03-17 05:15 AM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.4 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 24274

Description

After applying it in layer properties, it always returns to a default formula.

History

#1 - 2017-03-30 06:01 AM - Matthias Kuhn

- Resolution set to wontfix

- Status changed from Open to Closed

This is expected behavior, the rendering order is determined by the angle (because features overlap).

Convert it to a different renderer, your style will be preserved but you will be free to change and configure every detail (including rendering order).

Please reopen if you think there is a good reason why customization for the rendering order needs to be supported also within the 2.5D renderer.

#2 - 2017-04-21 04:03 PM - Nikolay Lebedev

In my case rendering order doesn't always have to be angle-based. I'm ordering building by area or z_order. As you mentioned, I can switch to geometry

generator symbol, but I think more logical way is to allow sorting by any expression. (At least this option isn't greyed out in GUI, so when expression returns

to a default one is a bit confusing).
